@font-face {
    font-family: 'Michroma';
    src: url('../css/fonts/Michroma.ttf') format('ttf'),
    url("../css/fonts/Michroma.woff2") format("woff2");
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

html{
    height:100%;
    width:100%;
    
}
:root {
    /* v low v */
    --lalpha: 0.2;
    /* v medium low v */
    --mlalpha: 0.4;
    /* v medium v */
    --malpha: 0.5;
    /* v medium high v */
    --mhalpha: 0.6;
    /* v high v */
    --halpha: 0.8;
    
    /* v #59c1ee v */
    --myfsblue: 89, 193, 238;
    
    /* v #87d5f7 v */
    --myfslightblue: 135, 213, 247;
    
    /* v #4193cf v */
    --myfsdarkblue: 65, 147, 207; 
    
    /* v #00497e v */
    --myfsultradarkblue: 0, 73, 126; 
    
}
@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');
body {
    font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Apple Color Emoji, Helvetica, Arial, sans-serif, Segoe UI Emoji, Segoe UI Symbol;
    /*height: 100%; */
    /*min-height: 100vh;*/
    width: 100%;
    margin: 0px;
    padding: 0px;
    color: white;
    background-color: black;    
    position: relative;
}
.nodroparrow::before {
    display: none !important;
}
.contentpage {
    color: white;
    background-color: black;
    /*margin-top: 15px;
    height:100%; */
    overflow:auto;
}
#main {
    position: fixed;
    margin-top: 51px;
    height:calc(100vh);
    /*top: 51px;
    top: 70px;*/
    width: 100%;
    left: 0px;
    /*height: 100%;
    overflow:auto; */
    background-color: #000;
}

.topoMap {
    position: fixed !important;
    top: 89px;
    margin-bottom: 0px;
    margin-Left: 0px;
    width: 100%;
    height:calc(100% - 125px)!important;
    overflow-y:hidden;
}
.link-blue-bg a {
    color: white;
    text-shadow: #000 0 0 5px;
} 
    .link-blue-bg:hover a {
    color: black;
    text-shadow: #fff 0 0 5px;
}


.map {
    position: fixed !important;
    top: 89px;
    margin-bottom: 0px;
    margin-Left: 0px;
    width: 100%;
    height:calc(100% - 125px)!important;
    overflow-y:hidden;

}
.flightfull-toolbar
{
    position: fixed !important;
    left: 0;
    z-index: 9999;
}
.flight-content-page {
    padding-top: 40px !important;
}
.sixScreenBox {
    height: calc(50vh - 46px);
}
.smallTopBox {
    height: calc(35vh - 46px) !important;
}
.largeBottomBox {
    height: calc(65vh - 46px) !important;
}
.sixScreenBoxBorder {
    border:1px solid #36454F;
}
/* These classes are for FlightFull.razor */
.flightTabContent {
    overflow-y: hidden;
    overflow-x: hidden;
    /* position: fixed; */
    top: 95px;
    padding: 0 0 0 0;
    margin-Left: 0px;
    margin-Right: 0px;
    /*width: 100%;*/
    /*max-width: 1000px;*/
    /* height: calc(100% - 95px); */ 
    z-index: 1;
}
/* SCORE DISPLAY general classes */
.score-fancy {
    background-color:black;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: auto;
    /*background-color: #411682 ;*/
}

.score-wrapper {
    transform-box: view-box;
    display: inline-block;
}
.score-wrapper .score-background {
    padding-left: 0px;
    overflow: hidden;
}
.score-text {
    z-index: 99999;
    font-weight: bold;
    display: inline-flex;
    position: absolute;
    color: black;
    text-shadow: 1px 0 0 #fff, 0 -1px 0 #fff, 0 1px 0 #fff, -1px 0 0 #fff;
}


.double-column {
    max-width: 375px;
}
/*One Thousand - Max Width */
.ot-mw {
    max-width: 1000px;
}
.summary .row {
    border-bottom: solid rgba(var(--myfslightblue), var(--mlalpha)) 1px;
}
.summary {
    min-width: 280px;
    justify-content: center;
    font-size:.875rem;
    white-space: nowrap;
    padding: 0.1rem 0 0.1rem 0;
    /*overflow-y: scroll;
    overflow-x: hidden;*/
    text-overflow: ellipsis;
}
.data-tag {
    width: 140px;
    text-align: center;
}
.summary-tag {
    width: 140px;
    text-align: center;
    size: 1.5rem;
    font-weight: bolder;
}

.score{
    /*
    width: 320px;
    padding-right: 20px;*/
}

.fullContent {

    /*position: fixed;*/
    top: 52px;
    margin-Left: 0px;
    margin-Right: 0px;
    width: 100%;
    /*margin-bottom: 100px;
    height: calc(95vh - 40px);*/
    /*
    height: calc(100%);
    overflow: hidden;*/
    z-index: 1;
}




.contentHelp {
    width:100%;
    height:95%;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 50px;
    text-align:left;
}

    .contentHelp p{
        font-size:1rem;
        padding-bottom: 5px;
    }

    #icon {
        position: fixed;
        top:  95px;
        left: 5px;
        color: white;
        font-size:.7rem;
        background-color: 	#36454F;
        z-index: 100;
    }
.contentHelp a{
    font-size:1rem;

}

.contentHelp p{
    font-size:1rem;
    margin-top: 10px;

}

.contentHelp ul{
    margin-top: 10px;
    font-size:1rem;

}

.contentHelp li{
    margin-top: 15px;
    font-size:1rem;

}
.contentHelp h1{
    font-size:1.4rem;
    text-align:center;

}
.contentHelp h2{
    font-size:1.2rem;
}
.contentHelp h3{
    font-size:1rem;
}
.contentHelp h4{
    font-size:.8rem;
}


.contentHelp.center{
    display:block;
    margin-left:auto;
    margin-right:auto;
    padding: 20px;
    border:1px solid white;
}


.dialogStageContent{
    overflow: hidden;
   
}
.dialogStageContent p{
    font-size: 0.8rem;
    padding: 0 ;
    margin: 0;
}
    
.row {
    margin-right: 0px;
    margin-left: 0px;
}

.badge-pill {
    color: black;
    line-height: 16px;
    width: 60px;
    font-size: .7rem;
    vertical-align: middle;
    align-items: center;
    margin-top: 5px;
}


.badge-pill-small {
    color: black;
    height: 16px;
    width: 50px;
    font-size: .65rem;
    vertical-align: middle;
    align-items: center;
    margin-top: 2px;
}

.e-tab .e-tab-header{
    text-align:center;
}

.headermenuitemX {
    font-family: Verdana;
    font-weight: 400;
    font-size: 1rem;
    color: #CCD1D1 !important;
}
tr {
    color: white;
}
td {
    font-size: 1rem;
}

.submenuitem {
    font-family: Verdana;
    font-size: 0.8rem;
    background-color: black;
    color: white;
    border-bottom: 3px solid transparent;
    margin-bottom: 3px;
}

a.submenuitem:hover {
    border-bottom: 3px solid white;
    background-color: black;
    color: white;
}


.dropdown {
    background-color: black;
    color: white;
    text-decoration: none;
}

.dropdown-menu {
    z-index: 10001;
    color: gray !important;
    background-color: #000 !important;
    border: 3px solid white !important;
   
}
/* OLD NAV CSS */
/*
    .dropdown-menu .nav-link {
        color: white;
        background-color: black !important;
        text-decoration: none;
    }
.dropdown-menu .active{
    background-color: black !important;
    text-decoration: none;
    color: white;
}
.dropdown-menu .nav-link:hover {
    background-color: #D3D3D390;
    color: gray;
}
.nav-link {
    color: #ffffffe0;
    font-size: 18px;
    text-align: left !important;
}
.nav-link:hover{
    color: #ffffffff;
    
}
.nav-link.active {
    text-decoration: underline;
}
*/
.dropdown-menu .nav-link {
    /* Padding for dropdown menu (Mobile) */
    margin: 0.2rem 0.4rem 0.2rem 0.4rem !important;
}
.nav-item {
    margin: 0 0.2rem 0 0.2rem;
    text-align: center;
}
.nav-item .active {
    /* Subtle Extra spacing navbar on select: */
    margin-left: 0.25rem;
    margin-right: 0.25rem;
    background-color: rgba(var(--myfslightblue), 1); !important;
    color: black !important;
    padding:0px;
    /* Margin-top = 0.5 + x padding of nav link */
    margin-top:0.7rem;
    margin-bottom:0.5rem;
    border-radius: 15px;
    transition: .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out;
    z-index: 9999;
}
.nav-link {
    /* Margin-top of nav-link:focus = 0.5 + x padding of nav link */
    padding: 0.2rem 1rem;
    margin-top:0.5rem;
    margin-bottom:0.5rem;
    color: white !important;
    font-size: large;
    transition: .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out;
}
.nav-link:hover {
    
    background-color: rgba(var(--myfsdarkblue), 1) !important;
    /*background-color: #59C1EEFF !important;*/
    text-shadow: 0px 0px 10px rgba(var(--myfslightblue), 1);
    color: black !important;
    border-radius: 5px;
    /*
    margin-left: 0px;
    margin-right: 0px;*/
    transition: .3s ease-in-out,background-color .3s ease-in-out,border-color .3s ease-in-out;
}




.footermenuitemX {
    font-family: Verdana;
    font-weight: 400;
    font-size: .6rem;
    color: #CCD1D1 !important;
}


.row::before {
   
    display: inline-block;
}
.row::after {
    display: inline-block;
}
.e-icon-dlg-closeicon-btn span {
    color: white;
}

.e-tab-text {
    font-size: 1.0rem !important;
}
.e-panel-content {
    text-align: center;
    margin-top: 10px;
}

e-panel-header {
    background-color: rgba(0, 0, 0, .1);
    text-align: center;
}


#spinnerDiv {
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#linechart, #grid, #chart1, #chart, #range {
    height: 100% !important;
    width: 100% !important;
}

/* width */
::-webkit-scrollbar {
    width: 5px;
}

/* Track */
::-webkit-scrollbar-track {
    background: black;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #737373;
}

    /* Handle on hover */
    ::-webkit-scrollbar-thumb:hover {
        background: #737373;
    }

.login {
    display: flex;
    justify-content: center;
    color: white;
    /*background-color: black;*/
}

    .login label {
        float: left;
        width: 300px;
    }
/*
    .login input {
        float: right;
        width: 300px;
    }
*/
#dropdownProfile {
    float: right;
    font-size: 1.6rem;
    color: white;
    text-align: center;
    text-decoration: none;
    /*padding: 8px 12px;
    border-bottom: 3px solid transparent;
    margin-bottom: 3px;*/
    z-Index: 1;
}

    #dropdownProfile a.hover {
        border-bottom: 3px solid white;
        color: white;
    }


.header {
    height: 60px;
    top: 0;
    position: fixed;
}






/* Place the navbar at the bottom of the page, and make it stick */
.navbarfooter {
    border-top: 1px solid gray;
    background-color: black;
    overflow: hidden;
    position: fixed;
    bottom: 0;
    width: 100%;
    font-family: Verdana;
    font-size: 0.8rem;
}

    /* Style the links inside the navigation bar */
    .navbarfooter a {
        float: left;
        display: block;
        color: #CCD1D1;
        text-align: center;
        padding: 6px 10px;
        text-decoration: none;
        font-size: 0.8rem;
        border-bottom: 3px solid transparent;
        margin-bottom: 3px;
    }

        .navbarfooter a:hover {
            border-bottom: 3px solid white;
            color: white;
        }

        .navbarfooter a.active {
            border-bottom: 3px solid white;
            color: white;
        }

hr {
    border: 0;
    clear: both;
    display: block;
    width: 100%;
    background-color: lightgray;
    height: 1px;
}

#allFlightsMap {
    max-height: calc(100vh - 123px);
}

a {
    color: #0366d6;
    font-size: .8rem;
    color: white;
}

.attribution {
    font-size: .6rem;
    color:#616A6B;
}

li {
    font-size: 1rem;
    margin-bottom: 8px;
}


h1 {
    font-size: 1.3rem;
}

h2 {
    font-size: 1.2rem;
}

h3 {
    font-size: 1.1rem;
}

h4 {
    font-size: 1.0rem;
}


h5 {
    font-size: .9rem;
}


h6 {
    font-size: .8rem;
}

li {
    font-size: 1rem;
}

/*cookie policy button*/

.btn.accept-policy:hover {
    background-color: #3da057 !important;
    text-shadow: 0px 0px 8px #0f3d18ff;
    border-radius: 3px;
    transition: .3s ease-in-out,background-color .3s ease-in-out,border-radius .3s ease-in-out;
}
.btn.accept-policy .h3 {
    color: black !important;
}
.btn.accept-policy {
    background-color: #1d7230 !important;
    width: 300px;
    color:white !important;
    text-shadow: 0px 0px 6px #0f3d18dd;;
    border-radius: 15px;
    transition: .3s ease-in-out,background-color .3s ease-in-out,border-radius .3s ease-in-out;
}
.alert-info {
    color: black;
    align-content: center;
   
}
.alert-info .btn {
    opacity: .9 !important;
    padding-bottom: 1.5rem;
    padding-top: 1rem;
    
}

.btn-primary {
    
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}


.top-row {
    height: 3.5rem;
    display: flex;
    align-items: center;
}


.main .top-row {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
}

    .main .top-row > a, .main .top-row .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
    }

    .main .top-row a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

.navbar-toggler {
    background-color: rgba(255, 255, 255, 0.1);
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 10000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

@media (max-width: 767.98px) {
    .main .top-row:not(.auth) {
        display: none;
    }

    .main .top-row.auth {
        justify-content: space-between;
    }

    .main .top-row a, .main .top-row .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 768px) {
    app {
        flex-direction: row;
    }


    .main .top-row {
        position: sticky;
        top: 0;
    }

    .main > div {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }

    .navbar-toggler {
        display: none;
    }
}
/*
body.e-scroll-disabled {
    overflow: visible !important;
} 
*/
.mapboxgl-canvas-container {
    height: 70vh;
}

.map-wrapper {
    position: relative;
    width: 100%;
    height: 80%;
}

.popup-content .mapboxgl-popup-content {
    text-align: left;
    font-size: .8rem;
    width: 500px;
    color: white;
    background-color: black;
}

.psData-popup .mapboxgl-popup-content {
    text-align: left;
    font-size: .8rem;
    width: 150px;
    color: white;
    background-color: black;
}

.prompt-popup .mapboxgl-popup-content {
    text-align: center;
    font-size: .8rem;
    width: 150px;
    color: white;
    background-color: black;
}


.info-popup .mapboxgl-popup-content {
    text-align: left;
    font-size: .8rem;
    width: 500px;
    color: white;
    background-color: black;
}

.info-popup a {
    color: white;
    font-size: .8rem;
    text-align: center;
    float:right;
    width:100%;
    padding: 5px;
}


.airport-popup .mapboxgl-popup-content {
    text-align: left;
    width: 500px;
    text-align: left;
    color: white;
    background-color: black;
}



.stage-popup .mapboxgl-popup-content {
    text-align: left;
    font-size: .8rem;
    width: 500px;
    text-align: left;
    color: white;
    background-color: black;
}


.image-popup .mapboxgl-popup-content {
    text-align: left;
    font-size: .8rem;
    width: 420px;
    background-color: black;
}

.dark-popup .mapboxgl-popup-content {
    color: white;
    background-color: black;
}
.helpIcon{
    font-style:normal;
    height: 20px;
    width: 20px;
    font-size: 1rem;
    line-height: 20px;
    color: white;
    padding: 1px;
    background-color: #0a53be;
    border-radius: 50%;
    display: inline-block;
    text-align: center;
    vertical-align: center;
}

.avatar {
    vertical-align: middle;
    width: 80px;
    height: 80px;
    border-radius: 50%;
}


.avatarsmall {
    vertical-align: middle;
    width: 20px;
    height: 20px;
    border-radius: 50%;
}
.mapboxgl-style-list {
    display: none;
}

.mapboxgl-ctrl-group .mapboxgl-style-list button {
    background: none;
    border: none;
    cursor: pointer;
    display: block;
    font-size: 14px;
    padding: 8px 8px 6px;
    text-align: right;
    width: 100%;
    height: auto;
}

.mapboxgl-style-list button.active {
    font-weight: bold;
}

.mapboxgl-style-list button:hover {
    background-color: rgba(0, 0, 0, 0.05);
}

.mapboxgl-style-list button + button {
    border-top: 1px solid #ddd;
}

.mapboxgl-style-switcher {
    background-image: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iaXNvLTg4NTktMSI/PjwhRE9DVFlQRSBzdmcgUFVCTElDICItLy9XM0MvL0RURCBTVkcgMS4xLy9FTiIgImh0dHA6Ly93d3cudzMub3JnL0dyYXBoaWNzL1NWRy8xLjEvRFREL3N2ZzExLmR0ZCI+PHN2ZyB2ZXJzaW9uPSIxLjEiIGlkPSJDYXBhXzEiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIHg9IjBweCIgeT0iMHB4IiB3aWR0aD0iNTQuODQ5cHgiIGhlaWdodD0iNTQuODQ5cHgiIHZpZXdCb3g9IjAgMCA1NC44NDkgNTQuODQ5IiBzdHlsZT0iZW5hYmxlLWJhY2tncm91bmQ6bmV3IDAgMCA1NC44NDkgNTQuODQ5OyIgeG1sOnNwYWNlPSJwcmVzZXJ2ZSI+PGc+PGc+PGc+PHBhdGggZD0iTTU0LjQ5NywzOS42MTRsLTEwLjM2My00LjQ5bC0xNC45MTcsNS45NjhjLTAuNTM3LDAuMjE0LTEuMTY1LDAuMzE5LTEuNzkzLDAuMzE5Yy0wLjYyNywwLTEuMjU0LTAuMTA0LTEuNzktMC4zMThsLTE0LjkyMS01Ljk2OEwwLjM1MSwzOS42MTRjLTAuNDcyLDAuMjAzLTAuNDY3LDAuNTI0LDAuMDEsMC43MTZMMjYuNTYsNTAuODFjMC40NzcsMC4xOTEsMS4yNTEsMC4xOTEsMS43MjksMEw1NC40ODgsNDAuMzNDNTQuOTY0LDQwLjEzOSw1NC45NjksMzkuODE3LDU0LjQ5NywzOS42MTR6Ii8+PHBhdGggZD0iTTU0LjQ5NywyNy41MTJsLTEwLjM2NC00LjQ5MWwtMTQuOTE2LDUuOTY2Yy0wLjUzNiwwLjIxNS0xLjE2NSwwLjMyMS0xLjc5MiwwLjMyMWMtMC42MjgsMC0xLjI1Ni0wLjEwNi0xLjc5My0wLjMyMWwtMTQuOTE4LTUuOTY2TDAuMzUxLDI3LjUxMmMtMC40NzIsMC4yMDMtMC40NjcsMC41MjMsMC4wMSwwLjcxNkwyNi41NiwzOC43MDZjMC40NzcsMC4xOSwxLjI1MSwwLjE5LDEuNzI5LDBsMjYuMTk5LTEwLjQ3OUM1NC45NjQsMjguMDM2LDU0Ljk2OSwyNy43MTYsNTQuNDk3LDI3LjUxMnoiLz48cGF0aCBkPSJNMC4zNjEsMTYuMTI1bDEzLjY2Miw1LjQ2NWwxMi41MzcsNS4wMTVjMC40NzcsMC4xOTEsMS4yNTEsMC4xOTEsMS43MjksMGwxMi41NDEtNS4wMTZsMTMuNjU4LTUuNDYzYzAuNDc3LTAuMTkxLDAuNDgtMC41MTEsMC4wMS0wLjcxNkwyOC4yNzcsNC4wNDhjLTAuNDcxLTAuMjA0LTEuMjM2LTAuMjA0LTEuNzA4LDBMMC4zNTEsMTUuNDFDLTAuMTIxLDE1LjYxNC0wLjExNiwxNS45MzUsMC4zNjEsMTYuMTI1eiIvPjwvZz48L2c+PC9nPjxnPjwvZz48Zz48L2c+PGc+PC9nPjxnPjwvZz48Zz48L2c+PGc+PC9nPjxnPjwvZz48Zz48L2c+PGc+PC9nPjxnPjwvZz48Zz48L2c+PGc+PC9nPjxnPjwvZz48Zz48L2c+PGc+PC9nPjwvc3ZnPg==);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 70%;
}


/* Notification Messages */
.notification-row {
    border-radius: 5px;
    padding-top: 10px;
    padding-bottom: 11px;
    line-height: 1rem;
}
.notification-row:hover {
    cursor: pointer;
}
.msg-read-True {
    background: #1a1a1a;
}
.msg-read-False {
    background: rgba(var(--myfslightblue), 0.3);
}
.msg-unread {
    background: rgba(var(--myfsultradarkblue, 0.4));
}
.msg-read-True:hover {
    background: #303030;
}
.msg-read-False:hover {
    background: rgba(var(--myfsultradarkblue, 0.3));
}
.notification-bell {
    height: 30px;
    /*margin-top: 6px;*/
    /* height + (margin-top * 2) = 42 
    this is to align with the profile picture 
    padding: 5px;*/
    border-radius: 20px;
    margin-right: 10px;

}
.notification-bell:hover {
    background-color: rgba(var(--myfsblue), 0.8);
    cursor: pointer;
}
#has-notifications-True:before {
    position: absolute;
    content: '';
    background-color:#FF0000;
    border-radius:50%;
    opacity:0.9;
    width: 12px;
    height: 12px;
    pointer-events: none;
    top: 2px;
    left: 18px;
}
.notification-True {
    background-color: rgba(var(--myfsblue), 0.8);
}
.notification-tab:hover {
    cursor: default;
}
.notification-tab {
    right: 0;
    height: 100%;
    width: 320px;
    position: fixed;
    background-color: #090909fa;
    top: 50px;
    overflow-y: scroll;
}
.notification-background:hover
{
    cursor: pointer;
}
.notification-background
{
    width: 100%; height: 100%; position: fixed; z-index:99999;
}
.msg-time {
    font-size:  0.8rem;
    color: #e0e0e0;
    text-align: end;
    line-height: 1px;
}
.msg-time-unread-False {
    color: rgb(var(--myfslightblue));
}

.notification-flag
{
margin-right: 5px; vertical-align: middle;
top: -1px;
position: relative;
}